<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<style>
	img {
    width: 100px;
    }
    
	</style>
</head>
<body>

<?php
include('mysqli_connect.php');

$minrating = $_POST['?']; // insert your code to get user input search keyword
$maxrating = $_POST['?'];

$query = "SELECT * FROM movies WHERE myrating >= ? AND myrating <= ?"; // insert your code the code to formulate query based on the user input
//echo $query; // debug if needed

$result = mysqli_query($dbc, $query);

$row_count = mysqli_num_rows($result);
echo "<p>In total, there are <strong>$row_count</strong> movies that match your search.</p>";

mysqli_close($dbc);

while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) { 
	echo "Movie title: <b>" . $row['?'] . "</b><br>"; // insert your code
	echo "Movie release year: <b>". $row['?'] . "</b><br>"; // insert your code
	echo "My rating: <b>". $row['myrating'] . "</b><br>";
	
	$img_link = $row['imagelink'];  
	$img_default = "https://nationaltoday.com/wp-content/uploads/2020/01/Popcorn.jpg";
	if (filter_var($img_link, FILTER_VALIDATE_URL)){  # check if the link is a valid URL 
	    echo "<img src=\"$img_link\">";
	} else {
	    echo "<img src=\"$img_default\">";
	}
    echo "<br><br>";
}

echo "<br> Search finished. <br>";
?>

</body>
</html>
